EDIT - feature request #7594

RegistrationWorkingsetEditor click on new serveral times
07/27/2018 11:47 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Wolf-Henning Kusber % Done: 50%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.4

Severity: minor

Description

Vaadin Registration Workingset Editor

Click on "new name" starts a new name popup editor. The blue progressbar on top is fine,
but if ignored users just look for the name popup editor, if it is not opening immediately users might click a second time on "new".
This loads a second name popup editor. The function is okay.

The feature request: allow only to open one name popup editor and ignore further clicking on "new" until the new registration is
saved.

logout & admin

Registration Workingset Editor

C., Differentiating Iconella from Surirella (Bacillariophyceae): typifying four Ehrenberg names and a preliminary checklist of the

Surirella nyansae (G.5.West) Cocquyt & R.Jahn
Surirella subrugosa Cocquyt & R.Jahn
Iconella anassae (Cholnoky) Cocquyt & R Jahn

Iconella likomensis (Cocquyt & R.Jahn) R.Jahn, Kusber & Cocquyt
& admin

Iconella margaritifera (Hust.) R.Jahn, Kusber & Cocquyt
& admin

Surirella afrocalcarata Cocquyt & R.Jahn
& admin

Iconella fuellebornii (O. Miill ) Cocquyt & R Jahn
& admin

Iconella crawfordii (Cocquyt & R.Jahn) R.Jahn, Kusber & Cocquyt
& admin

Iconella vasta (Hust ) R Jahn, Kusber & Cocquyt

& admin
Add a new registration for a new name cran

For most names that already exist in the system it is only possible 10 cieate a registration covering type designations. Only in those rare cases where the citation of this workingset
and the nomenclatural reference of a name are the same it is possible to create a registration covering the name also_ In all other ¢ please choose from the main menu
and start a registration for the nomenclatural reference of the name to be registered

Associated revisions

Revision edce7749 - 09/21/2018 01:00 PM - Andreas Kohlbecker

fix #7594 RegistrationWorkingsetEditor new name button disbled when opening name popup editor

History

#1 - 07/30/2018 10:05 AM - Andreas Kohlbecker
- Category set to cdm-vaadin

- Status changed from New to Feedback
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.2

can you please elaborate your request a bit more?
| don't quite understand which button you are referring to. The RegistrationWorkingsetEditor has no "New" button, there is only the "new name" which
opens a modal dialog for a new name. While this dialog is open the "new name" button can not be clicked.

#2 - 07/30/2018 03:36 PM - Wolf-Henning Kusber
- File 7594_explanation.PNG added

"new name" is meant.
After clicking on "new name" the system needs some time to open the next form/dialog. If the blue line is ignored (arrows in the screen shot), a user
might click a second time on "new name" befor the form/dialog is open (because he/she thinks that nothing happens). This opens two identical forms.

#3 - 08/20/2018 01:27 PM - Wolf-Henning Kusber

Issue not resolved. May be a problem of the slow test server.

#4 - 08/20/2018 01:28 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#5 - 08/28/2018 11:48 AM - Andreas Kohlbecker
- Subject changed from Vaadin Registration Workingset Editor click on new serveral times to RegistrationWorkingsetEditor click on new serveral times

- Description updated

#6 - 08/28/2018 11:50 AM - Andreas Kohlbecker

- Description updated

#7 - 08/28/2018 11:50 AM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#8 - 09/11/2018 05:04 PM - Andreas Kohlbecker
- Status changed from Feedback to New

- Target version changed from Release 5.3 to Release 5.4

#9 - 09/21/2018 01:00 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|edce7749ded3{3f7f3860106f45235532afe09a2.

#10 - 09/21/2018 01:01 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

problem solved, please review.
